Autor Tópico: Falha no gerenciamento de pacotes  (Lida 2381 vezes)

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.403
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #15 Online: 04 de Março de 2017, 20:11 »
Nesse caso a confusão é grande então é melhor ir pros finalmente, reinstale o dpkg

Código: [Selecionar]
sudo apt-get install --reinstall dpkg
Depois faça de novo:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #16 Online: 04 de Março de 2017, 21:07 »
willsirdark@willsirdark-C14CR21:~$ sudo apt-get install --reinstall dpkg
E: Não foi possível obter trava /var/lib/dpkg/lock - open (11: Recurso temporariamente indisponível)
E: Não foi possível obter acesso exclusivo ao directório de administração (/var/lib/dpkg/), outro processo está a utilizá-lo?

já vi que vai ser um processo longo  :o

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.403
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #17 Online: 04 de Março de 2017, 21:32 »
willsirdark@willsirdark-C14CR21:~$ sudo apt-get install --reinstall dpkg
E: Não foi possível obter trava /var/lib/dpkg/lock - open (11: Recurso temporariamente indisponível)
E: Não foi possível obter acesso exclusivo ao directório de administração (/var/lib/dpkg/), outro processo está a utilizá-lo?

já vi que vai ser um processo longo  :o

Tem um quilo e meio de tópicos aqui no Fórum com comandos para tentar destravar.
O significado, em princípio, é que há mais de uma instância utilizando o mesmo recurso.

Especialmente dê uma lida nesse tópico:

http://ubuntuforum-br.org/index.php/topic,121313.msg666301.html#msg666301


www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #18 Online: 05 de Março de 2017, 12:16 »
rm: não foi possível remover '/var/lib/apt/lists/partial': É um diretório
willsirdark@willsirdark-C14CR21:~$ sudo rm /var/lib/apt/lists/partial/*
rm: não foi possível remover '/var/lib/apt/lists/partial/*': Arquivo ou diretório não encontrado
willsirdark@willsirdark-C14CR21:~$ dpkg --get-selections | grep linux-image
linux-image-4.4.0-31-generic         install
linux-image-extra-4.4.0-31-generic      install
linux-image-generic            install
willsirdark@willsirdark-C14CR21:~$ sudo apt-get install --reinstall dpkg
E: O dpkg foi interrompido, para corrigir o problema tem de correr manualmente 'sudo dpkg --configure -a'
willsirdark@willsirdark-C14CR21:~$ dpkg --configure -a
dpkg: erro: a operação solicitada requer privilégios de superusuário
willsirdark@willsirdark-C14CR21:~$ sudo dpkg --configure -a
Configurando libapt-inst2.0:amd64 (1.2.15ubuntu0.2) ...
Configurando apt (1.2.19) ...

Ficheiro de configuração '/etc/cron.daily/apt-compat'
 ==> Ficheiro no sistema criado por si ou por um script.
 ==> Ficheiro também no pacote disponibilizado pelo maintainer do pacote.
   O que deseja fazer? As suas opções são:
    Y ou I  : instalar a versão do pacote do maintainer
    N ou O  : manter a versão actualmente instalada
      D     : mostrar diferenças entre as versões
      Z     : iniciar uma shell para examinar a situação
 A ação padrão é manter sua versão atual.
*** apt-compat (Y/I/N/O/D/Z) [padrão=N] ?

 
olha eu fiz o que o creto recomendou, no entanto está acontecendo a mesma coisa, ele parece que resolveu reinstalando o sistema, o que eu não gostaria de fazer, mas enfim foi isso que consegui após ler o tópico citado.
« Última modificação: 05 de Março de 2017, 12:20 por Zeraszel »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.403
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #19 Online: 05 de Março de 2017, 14:29 »
Antes de mais nada deixe pronto, testado e funcional um live-iso (pendrive ou cdrom) a partir do qual possa subir o sistema no caso de uma emergência irrecuperável.

Estava indo, deveria ter continuado e naquela condição do /etc/cron.daily/apt-compat responder Y instalar a versão do pacote do maintainer.

Se existirem outras repetições mande sempre instalar o versão do pacote do maintainer.

Não precisa executar aqueles comandos relacionados ao  dpkg --get-selections | grep linux-image, aquilo lá foi feito apenas para verificar determinada circunstância, não altera nada.

E também pareceu que você não fez o primeiro da lista, pelo menos a partir do que postou, precisa seguir todos eles.

Essencialmente nada mais é do que deletar (rm=remove) o que haja naqueles diretórios mencionados da trava (=lock) e listas (=list), a saber:

Para facilitar torne-se root (prompt #)

Código: [Selecionar]
sudo su
Depois é fazer:

Código: [Selecionar]
rm /var/lib/dpkg/lock
Código: [Selecionar]
rm /var/lib/apt/lists/*
Código: [Selecionar]
rm /var/lib/apt/lists/partial/*
Em seguida:

Código: [Selecionar]
dpkg --configure -a
Como dito, se o caso, vá sempre para a versão do maintainer.

Depois reinstale o dpkg conforme já mencionado:

Código: [Selecionar]
apt-get install --reinstall dpkg
saia do root e volte ao usuário (prompt $):

Código: [Selecionar]
exit
Isso posto, para confirmar faça ainda:

Código: [Selecionar]
sudo apt-get -f install
Atualize:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
Note que sempre há um risco inerente de quebrar o seu sistema, mas capenga ele já está, de toda forma é por sua conta e risco, não há como garantir nada, ainda mais remotamente.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #20 Online: 05 de Março de 2017, 16:10 »
willsirdark@willsirdark-C14CR21:~$ sudo su
[sudo] senha para willsirdark:
root@willsirdark-C14CR21:/home/willsirdark# rm /var/lib/dpkg/lock
root@willsirdark-C14CR21:/home/willsirdark# rm /var/lib/apt/lists/partial/*
rm: não foi possível remover '/var/lib/apt/lists/partial/*': Arquivo ou diretório não encontrado
root@willsirdark-C14CR21:/home/willsirdark# dpkg --configure -a
Configurando apt (1.2.19) ...

Ficheiro de configuração '/etc/cron.daily/apt-compat'
 ==> Ficheiro no sistema criado por si ou por um script.
 ==> Ficheiro também no pacote disponibilizado pelo maintainer do pacote.
   O que deseja fazer? As suas opções são:
    Y ou I  : instalar a versão do pacote do maintainer
    N ou O  : manter a versão actualmente instalada
      D     : mostrar diferenças entre as versões
      Z     : iniciar uma shell para examinar a situação
 A ação padrão é manter sua versão atual.
*** apt-compat (Y/I/N/O/D/Z) [padrão=N] ? exit

Ficheiro de configuração '/etc/cron.daily/apt-compat'
 ==> Ficheiro no sistema criado por si ou por um script.
 ==> Ficheiro também no pacote disponibilizado pelo maintainer do pacote.
   O que deseja fazer? As suas opções são:
    Y ou I  : instalar a versão do pacote do maintainer
    N ou O  : manter a versão actualmente instalada
      D     : mostrar diferenças entre as versões
      Z     : iniciar uma shell para examinar a situação
 A ação padrão é manter sua versão atual.
*** apt-compat (Y/I/N/O/D/Z) [padrão=N] ? Y
Instalando nova versão do arquivo de configuração /etc/cron.daily/apt-compat ...

Ficheiro de configuração '/etc/kernel/postinst.d/apt-auto-removal'
 ==> Ficheiro no sistema criado por si ou por um script.
 ==> Ficheiro também no pacote disponibilizado pelo maintainer do pacote.
   O que deseja fazer? As suas opções são:
    Y ou I  : instalar a versão do pacote do maintainer
    N ou O  : manter a versão actualmente instalada
      D     : mostrar diferenças entre as versões
      Z     : iniciar uma shell para examinar a situação
 A ação padrão é manter sua versão atual.
*** apt-auto-removal (Y/I/N/O/D/Z) [padrão=N] ? Y
Instalando nova versão do arquivo de configuração /etc/kernel/postinst.d/apt-auto-removal ...
root@willsirdark-C14CR21:/home/willsirdark# sudo apt-get -f install
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 125 não atualizados.
root@willsirdark-C14CR21:/home/willsirdark# sudo apt update
Atingido:1 http://br.archive.ubuntu.com/ubuntu xenial InRelease               
Obter:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]   
Atingido:3 http://ppa.launchpad.net/lyx-devel/release/ubuntu xenial InRelease 
Obter:4 http://br.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB] 
Atingido:5 http://ppa.launchpad.net/ricotz/unstable/ubuntu xenial InRelease   
Atingido:6 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease   
Obter:7 http://br.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Obter:8 http://br.archive.ubuntu.com/ubuntu xenial/main Translation-pt_BR [278 kB]
Obter:9 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [50,0 kB]
Obter:10 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [39,7 kB]
Obter:11 http://br.archive.ubuntu.com/ubuntu xenial/main Translation-pt [212 kB]
Obter:12 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [32,1 kB]
Obter:13 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [37,0 kB]
Obter:14 http://br.archive.ubuntu.com/ubuntu xenial/restricted Translation-pt_BR [1.812 B]
Obter:15 http://br.archive.ubuntu.com/ubuntu xenial/restricted Translation-pt [1.788 B]
Obter:16 http://br.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [7.532 kB]
Obter:17 http://br.archive.ubuntu.com/ubuntu xenial/universe Translation-pt_BR [1.107 kB]
Obter:18 http://br.archive.ubuntu.com/ubuntu xenial/universe Translation-pt [778 kB]
Obter:19 http://br.archive.ubuntu.com/ubuntu xenial/universe Translation-en [4.354 kB]
Obter:20 http://br.archive.ubuntu.com/ubuntu xenial/universe amd64 DEP-11 Metadata [3.410 kB]
Obter:21 http://br.archive.ubuntu.com/ubuntu xenial/universe DEP-11 64x64 Icons [7.448 kB]
Obter:22 http://br.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [144 kB]
Obter:23 http://br.archive.ubuntu.com/ubuntu xenial/multiverse Translation-pt_BR [25,6 kB]
Obter:24 http://br.archive.ubuntu.com/ubuntu xenial/multiverse Translation-pt [11,7 kB]
Obter:25 http://br.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB]
Obter:26 http://br.archive.ubuntu.com/ubuntu xenial/multiverse amd64 DEP-11 Metadata [63,8 kB]
Obter:27 http://br.archive.ubuntu.com/ubuntu xenial/multiverse DEP-11 64x64 Icons [230 kB]
Obter:28 http://br.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [485 kB]
Obter:29 http://br.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [193 kB]
Obter:30 http://br.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [288 kB]
Obter:31 http://br.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [190 kB]
Obter:32 http://br.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [7.176 B]
Obter:33 http://br.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [2.396 B]
Obter:34 http://br.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 DEP-11 Metadata [157 B]
Obter:35 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [429 kB]
Obter:36 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [163 kB]
Obter:37 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [139 kB]
Obter:38 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [169 kB]
Obter:39 http://br.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [8.080 B]
Obter:40 http://br.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [3.580 B]
Obter:41 http://br.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [2.520 B]
Obter:42 http://br.archive.ubuntu.com/ubuntu xenial-updates/multiverse DEP-11 64x64 Icons [7.765 B]
Obter:43 http://br.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [4.672 B]
Obter:44 http://br.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [3.200 B]
Obter:45 http://br.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3.328 B]
Obter:46 http://br.archive.ubuntu.com/ubuntu xenial-backports/main DEP-11 64x64 Icons [29 B]
Obter:47 http://br.archive.ubuntu.com/ubuntu xenial-backports/restricted amd64 DEP-11 Metadata [194 B]
Obter:48 http://br.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [2.512 B]
Obter:49 http://br.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [1.216 B]
Obter:50 http://br.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [212 B]
Obter:51 http://br.archive.ubuntu.com/ubuntu xenial-backports/universe DEP-11 64x64 Icons [29 B]
Obter:52 http://br.archive.ubuntu.com/ubuntu xenial-backports/multiverse amd64 DEP-11 Metadata [216 B]
Obter:53 http://br.archive.ubuntu.com/ubuntu xenial-backports/multiverse DEP-11 64x64 Icons [29 B]
Baixados 28,3 MB em 3min 17s (143 kB/s)                                       
AppStream cache update completed, but some metadata was ignored due to errors.
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
270 packages can be upgraded. Run 'apt list --upgradable' to see them.
root@willsirdark-C14CR21:/home/willsirdark# sudo apt upgrade
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Calculando atualização... Pronto
Os NOVOS pacotes a seguir serão instalados:
  libsnapd-glib1 linux-headers-4.4.0-64 linux-headers-4.4.0-64-generic
  linux-image-4.4.0-64-generic linux-image-extra-4.4.0-64-generic snap-confine
  snapd-login-service
Os pacotes a seguir serão atualizados:
  accountsservice apparmor apport apport-gtk appstream apt-transport-https
  base-files bind9-host binutils bsdutils console-setup console-setup-linux
  cups-browsed cups-filters cups-filters-core-drivers dbus dbus-x11
  distro-info-data dnsutils file-roller firefox firefox-locale-en fontconfig
  fontconfig-config fonts-opensymbol fuse fwupd ghostscript ghostscript-x
  gir1.2-appindicator3-0.1 gir1.2-gdkpixbuf-2.0 gir1.2-gst-plugins-base-1.0
  gir1.2-gstreamer-1.0 gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0
  gnome-calculator gnome-software gnome-software-common gnome-sudoku gnupg
  gpgv grub-common grub-pc grub-pc-bin grub2-common gstreamer1.0-libav
  gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-pulseaudio
  gstreamer1.0-x gtk2-engines-murrine humanity-icon-theme ifupdown im-config
  imagemagick-common indicator-application init init-system-helpers
  initramfs-tools initramfs-tools-bin initramfs-tools-core isc-dhcp-client
  isc-dhcp-common kbd keyboard-configuration klibc-utils krb5-locales
  language-pack-en language-pack-gnome-en language-selector-common
  language-selector-gnome less libaccountsservice0 libapparmor-perl
  libapparmor1 libappindicator3-1 libappstream-glib8 libappstream3
  libapt-inst2.0 libavcodec-ffmpeg56 libavfilter-ffmpeg5 libavformat-ffmpeg56
  libavresample-ffmpeg2 libavutil-ffmpeg54 libbind9-140 libblkid1 libc-bin
  libc-dev-bin libc6 libc6-dbg libc6-dev libcupsfilters1 libcurl3
  libcurl3-gnutls libdbus-1-3 libdbusmenu-glib4 libdbusmenu-gtk3-4
  libdbusmenu-gtk4 libdfu1 libdns-export162 libdns162 libegl1-mesa libfdisk1
  libfontconfig1 libfontembed1 libfuse2 libfwupd1 libgbm1 libgcrypt20 libgd3
  libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgl1-mesa-dri libglib2.0-0
  libglib2.0-bin libglib2.0-data libgme0 libgnutls-openssl27 libgnutls30
  libgs9 libgs9-common libgssapi-krb5-2 libgstreamer-plugins-base1.0-0
  libgstreamer-plugins-good1.0-0 libgstreamer1.0-0 libharfbuzz-icu0
  libharfbuzz0b libhogweed4 libidn11 libido3-0.1-0 libisc-export160 libisc160
  libisccc140 libisccfg140 libjavascriptcoregtk-4.0-18 libk5crypto3 libklibc
  libkrb5-3 libkrb5support0 liblightdm-gobject-1-0 libllvm3.8 liblwres141
  libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra libmagickwand-6.q16-2
  libmount1 libnautilus-extension1a libnettle6 libnm-glib-vpn1 libnm-glib4
  libnm-gtk-common libnm-gtk0 libnm-util2 libnm0 libnma-common libnma0 libnss3
  libnss3-nssdb libp11-kit0 libpam-systemd libpcsclite1 libpoppler-glib8
  libpoppler58 libpostproc-ffmpeg53 libprocps4 libpulse-mainloop-glib0
  libpulse0 libpulsedsp libpython2.7 libpython2.7-minimal libpython2.7-stdlib
  libpython3.5 libpython3.5-minimal libpython3.5-stdlib libreoffice-base-core
  libreoffice-calc libreoffice-common libreoffice-core libreoffice-gtk
  libreoffice-math libreoffice-style-elementary libreoffice-style-galaxy
  libreoffice-writer libsmartcols1 libsmbclient libssl1.0.0
  libswresample-ffmpeg1 libswscale-ffmpeg3 libsystemd0 libtiff5 libudev1
  libuuid1 libwayland-egl1-mesa libwbclient0 libwebkit2gtk-4.0-37
  libwebkit2gtk-4.0-37-gtk2 libwhoopsie0 libxatracker2 libxpm4 lightdm
  linux-firmware linux-generic linux-headers-generic linux-image-generic
  linux-libc-dev locales mesa-vdpau-drivers mount multiarch-support nano
  network-manager network-manager-gnome ntfs-3g openssh-client openssl
  oracle-java8-installer oracle-java8-set-default os-prober p11-kit
  p11-kit-modules poppler-utils procps pulseaudio pulseaudio-module-x11
  pulseaudio-utils python2.7 python2.7-minimal python3-apport
  python3-distupgrade python3-problem-report python3-software-properties
  python3-uno python3-update-manager python3.5 python3.5-minimal resolvconf
  samba-libs snapd software-properties-common software-properties-gtk sudo
  systemd systemd-sysv tcpdump thunderbird transmission-common
  transmission-gtk tzdata ubuntu-core-launcher ubuntu-drivers-common
  ubuntu-mono ubuntu-release-upgrader-core ubuntu-release-upgrader-gtk udev
  uno-libs3 update-manager update-manager-core update-notifier
  update-notifier-common ure util-linux uuid-runtime vim-common vim-tiny
  whoopsie xdg-utils xserver-common xserver-xorg-core
  xserver-xorg-video-amdgpu xserver-xorg-video-intel
270 pacotes atualizados, 7 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
E: Não foi possível obter trava /var/cache/apt/archives/lock - open (11: Recurso temporariamente indisponível)
E: Impossível criar acesso exclusivo ao directório /var/cache/apt/archives/

Bom, a mensagem desapareceu, mas será que tipo "resolveu" o problema?? bom deixo para que analise o resultado do meu terminal.

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.403
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #21 Online: 05 de Março de 2017, 16:28 »
Não estou enxergando direito ou você não executou a reinstalação do dpkg?

Não estou vendo na saída postada.

Como é uma saída muito longa, até copiei o conteúdo para um arquivo texto e usei a procura automática Ctrl F e não está aparecendo.

É uma coisa simples, seguir uma listinha de meia dúzia de comandos, não requer muita interpretação ou entendimento, é só copiar, colar, <enter> e pronto.

Cada vez que faz errado apenas introduz um novo problema e aumentando a complicação e não resolvendo a questão.

Pulou essa reconstituição ou eu é que não estou vendo?

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #22 Online: 05 de Março de 2017, 16:35 »

acredito que tenha pulado, fui direto para sudo apt-get  -f install ,acabei não vendo e ou percebendo a parte do reinstall dpkg

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.403
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #23 Online: 05 de Março de 2017, 16:44 »
Reinicie o sistema.

Refaça desde o início.

Melhorou, porém ainda se está com mensagem de erro que não deveria estar aparecendo.
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #24 Online: 05 de Março de 2017, 17:42 »

Ficheiro de configuração '/etc/bash_completion.d/libreoffice.sh'
 ==> Ficheiro no sistema criado por si ou por um script.
 ==> Ficheiro também no pacote disponibilizado pelo maintainer do pacote.
   O que deseja fazer? As suas opções são:
    Y ou I  : instalar a versão do pacote do maintainer
    N ou O  : manter a versão actualmente instalada
      D     : mostrar diferenças entre as versões
      Z     : iniciar uma shell para examinar a situação
 A ação padrão é manter sua versão atual.
*** libreoffice.sh (Y/I/N/O/D/Z) [padrão=N] ? N
Configurando libnss3:amd64 (2:3.26.2-0ubuntu0.16.04.2) ...
Configurando libreoffice-core (1:5.1.6~rc2-0ubuntu1~xenial1) ...
Configurando libreoffice-base-core (1:5.1.6~rc2-0ubuntu1~xenial1) ...
Configurando libreoffice-calc (1:5.1.6~rc2-0ubuntu1~xenial1) ...
Configurando libreoffice-gtk (1:5.1.6~rc2-0ubuntu1~xenial1) ...
Configurando python3-uno (1:5.1.6~rc2-0ubuntu1~xenial1) ...
Configurando libreoffice-math (1:5.1.6~rc2-0ubuntu1~xenial1) ...
Configurando libreoffice-writer (1:5.1.6~rc2-0ubuntu1~xenial1) ...
Configurando ubuntu-release-upgrader-gtk (1:16.04.21) ...
Configurando update-manager (1:16.04.5) ...
Configurando update-notifier (3.168.3) ...
A processar 'triggers' para libc-bin (2.23-0ubuntu5) ...
A processar 'triggers' para systemd (229-4ubuntu16) ...
A processar 'triggers' para initramfs-tools (0.122ubuntu8.8) ...
update-initramfs: Generating /boot/initrd.img-4.4.0-64-generic
A processar 'triggers' para resolvconf (1.78ubuntu4) ...
A processar 'triggers' para dbus (1.10.6-1ubuntu3.3) ...
Erros foram encontrados durante o processamento de:
 grub-pc
E: Sub-process /usr/bin/dpkg returned an error code (1)

O Processo final foi esse, tipo ele encontrou um erro no grub, eu instalei aqui dual boot, mas teve um dia eventual que simplesmente só vi o windows iniciando, eu recorri a pesquisa e reinstalei o grub, mas não sei agora fiquei cismado, será que tem conexão??
ps: apareceu uma mensagem pedindo para que eu informe sobre um erro do sistema no aplicativo

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.403
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #25 Online: 05 de Março de 2017, 18:23 »
Essa sua instalação é um fabriquinha de "paus" de programas, todo detonado pelas suas experimentações, mas está quase lá.

Reinicie o sistema.

Agora faça apenas e traga ao tópico o resultado para:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #26 Online: 05 de Março de 2017, 18:30 »
Atingido:1 http://br.archive.ubuntu.com/ubuntu xenial InRelease               
Atingido:2 http://ppa.launchpad.net/lyx-devel/release/ubuntu xenial InRelease 
Obter:3 http://br.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB] 
Atingido:4 http://ppa.launchpad.net/ricotz/unstable/ubuntu xenial InRelease   
Obter:5 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]   
Atingido:6 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease   
Obter:7 http://br.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Obter:8 http://br.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [288 kB]
Obter:9 http://br.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [184 kB]
Obter:10 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [140 kB]
Obter:11 http://br.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [169 kB]
Obter:12 http://br.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [2.520 B]
Obter:13 http://br.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3.328 B]
Baixados 1.093 kB em 4s (221 kB/s) 
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
All packages are up to date.
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Calculando atualização... Pronto
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Configurando grub-pc (2.02~beta2-36ubuntu3.7) ...
dpkg: erro ao processar o pacote grub-pc (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 10
Erros foram encontrados durante o processamento de:
 grub-pc
E: Sub-process /usr/bin/dpkg returned an error code (1)

isso foi o que o terminal retornou, ou seja, ainda mostra algo com relação ao grub, antes de postar eu reiniciei a máquina e li seu tópico e assim fiz os procedimentos....

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.403
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #27 Online: 05 de Março de 2017, 19:07 »
[...]
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Configurando grub-pc (2.02~beta2-36ubuntu3.7) ...
dpkg: erro ao processar o pacote grub-pc (--configure):
 sub-processo script post-installation instalado retornou estado de saída de erro 10
Erros foram encontrados durante o processamento de:
 grub-pc
E: Sub-process /usr/bin/dpkg returned an error code (1)

Agora só esse:

Código: [Selecionar]
sudo dpkg-reconfigure grub-pc
Vai abrir uma janela modo texto para confirmar linha de boot e parâmetros (geralmente quiet splash), use a tecla TAB para navegar e OK

Reinicie o sistema.

Então reverifica com os dois comandos básicos:

Código: [Selecionar]
sudo apt update
Código: [Selecionar]
sudo apt upgrade
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Zeraszel

  • Usuário Ubuntu
  • *
  • Mensagens: 137
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #28 Online: 05 de Março de 2017, 20:34 »
 sudo dpkg-reconfigure grub-pc
[sudo] senha para willsirdark:
/usr/sbin/dpkg-reconfigure: grub-pc está quebrado ou não está completamente instalado
bom tá mais perto do que antes, só falta alguns detalhes

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 4.403
    • Ver perfil
Re:Falha no gerenciamento de pacotes
« Resposta #29 Online: 05 de Março de 2017, 20:36 »
sudo dpkg-reconfigure grub-pc
[sudo] senha para willsirdark:
/usr/sbin/dpkg-reconfigure: grub-pc está quebrado ou não está completamente instalado
bom tá mais perto do que antes, só falta alguns detalhes

Código: [Selecionar]
sudo apt-get install --reinstall grub-pc
Reverifique, idem, idem.

www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.